View Issue Details

IDProjectCategoryView StatusLast Update
0000752bareos-core[All Projects] webuipublic2017-02-01 16:25
ReporternicklasAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version16.2.4 
Fixed in Version16.2.5 
Summary0000752: Retention/Expiration column not sorted by number
DescriptionIn the view Storages -> Pools -> Pool, and Storages -> Volumes, the column Retention/Expiration appears to be sorted alphabetically rather than by number, which leads to the following order:

- Append, 90 day(s)
- Full, expired
- Full, expires in 28 days
- Full, expires in 3 days
- Full, expires in 31 days


Would prefer the list to be sorted like:

- Append, 90 day(s)
- Full, expired
- Full, expires in 3 days
- Full, expires in 28 days
- Full, expires in 31 days
Steps To Reproduce1. Open a pool with volumes of different age
2. Sort by Retention/Expiration column
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

frank

frank

2017-02-01 16:20

manager   ~0002544

Fix committed to bareos-webui bareos-16.2 branch with changesetid 6843.

Related Changesets

bareos-webui: bareos-16.2 837d6a2b

2017-01-30 18:16:21

frank

Ported: N/A

Details Diff
Fix to bugreport 0000752

Fixes 0000752: Retention/Expiration column not sorted by number
Affected Issues
0000752
mod - module/Media/view/media/media/index.phtml Diff File
mod - public/js/datatables.functions.js Diff File

Issue History

Date Modified Username Field Change
2017-01-02 14:48 nicklas New Issue
2017-01-03 12:45 joergs Assigned To => frank
2017-01-03 12:45 joergs Status new => assigned
2017-01-30 18:18 frank Status assigned => confirmed
2017-02-01 16:20 frank Changeset attached => bareos-webui bareos-16.2 837d6a2b
2017-02-01 16:20 frank Note Added: 0002544
2017-02-01 16:20 frank Status confirmed => resolved
2017-02-01 16:20 frank Resolution open => fixed
2017-02-01 16:24 frank Status resolved => feedback
2017-02-01 16:24 frank Resolution fixed => reopened
2017-02-01 16:25 frank bareos-master: impact => yes
2017-02-01 16:25 frank bareos-master: action => fixed
2017-02-01 16:25 frank bareos-16.2: impact => yes
2017-02-01 16:25 frank bareos-16.2: action => fixed
2017-02-01 16:25 frank Status feedback => closed
2017-02-01 16:25 frank Assigned To frank =>
2017-02-01 16:25 frank Resolution reopened => fixed
2017-02-01 16:25 frank Fixed in Version => 16.2.5